Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.util
Class IntVector

    java.lang.Object
      |
      +--com.objexcel.util.IntVector

public final class IntVector
extends java.lang.Object

IntVector is a fast replacement for the Vector class

Field Summary
`int` | `current` the current 'addElement' index
`int[]` | `data` the ints

Constructor Summary
`IntVector()`
`IntVector(int capacity)`

Method Summary
`void` | `addElement(int s)` add an int, resize if necessary
`int` | `elementAt(int i)` get the int at i
`int[]` | `getArray()` truncate the data down to a length of current and return it
`void` | `setFromArray(int[] _data, int capacity)` populate data from the provided data
`int` | `size()` return the current size (not the same as the capacity of the data member)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    public int[] data

  the ints

### current

    public int current

  the current 'addElement' index

Constructor Detail

### IntVector

    public IntVector()

### IntVector

    public IntVector(int capacity)

Method Detail

### elementAt

    public final int elementAt(int i)

  get the int at i

### setFromArray

    public final void setFromArray(int[] _data,
                                   int capacity)

  populate data from the provided data

### addElement

    public final void addElement(int s)

  add an int, resize if necessary

### getArray

    public final int[] getArray()

  truncate the data down to a length of current and return it

### size

    public final int size()

  return the current size (not the same as the capacity of the data member)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD